#!/bin/sh
product_id=`/usr/local/bin/sxnetset -g usb_product_id`
vendor_id=`/usr/local/bin/sxnetset -g usb_vendor_id`
sxid=`/usr/local/bin/sxnetset -g sxid`

#
# If we don't find a vendor id in the u-boot environment
# then we default to the Linux USB Gadget serial device.
if [ "$vendor_id" = "" ] ; then
#
# This is the supplied by NETCHIP for the linux gadget devices
#
	vendor_id=1317
#
# This is the product id that tells the host that it is a ACM Gadget serial device
#
	product_id=42151
fi

# load the serial driver module ONLY for boards that
# actually have the USB port
if ( echo "$sxid" | grep -q "8460" ) ; then
    echo VENDOR_ID= $vendor_id
    echo PRODUCT_ID= $product_id
    /sbin/modprobe g_serial usb_vendor_id=$vendor_id usb_product_id=$product_id
    /usr/local/bin/setup_mknod g_serial ttyGS ttygserial 600 root:root
fi
