#!/bin/sh
# @file
#
# @brief Script to manage the sntp client
#
# Copyright 2013 Red Lion Controls, Inc.
# All Rights reserved.
#
log="/dev/null"
#log="/var/log/`basename $0`"
start()
{
    logger "Starting the sntp client"
    /usr/local/bin/Sntp.sh&
}
stop()
{
    logger "Stopping the sntp client"
    killall Sntp.sh
}

restart()
{
    stop;
    start;
}

#
# Check to see if a command was passed into the script.
#
if [ "$1" ]; then
    case "$1" in
        start)
            start
            ;;
        stop)
            stop
            ;;
        *)
            echo "Usage: Sntp.sh [ start | stop ]"
            exit 1
            ;;
    esac
    exit
fi

# No command passed in, assume start the sntp client

start
