#!/bin/sh

start()
{
    # This will search /etc/user.d for user start up scripts
    for i in /etc/user.d/* ; do
        if [ -f $i ]; then
            $i
        fi
    done
}

stop()
{
    # /etc/softreset
    # This will search /etc/softreset.d for user shutdown scripts
    for i in /etc/softreset.d/*.sh ; do
        if [ -f $i ]; then
            $i
        fi
    done
}

#
# This only restarts the sixnet applications that
# are not started by init.
#
restart()
{
    stop
    start
}

#
# Check to see if a command was passed into the script.
#
if [ "$1" ]; then
    case "$1" in
        start)
            start
            ;;
        stop)
            stop
            ;;
        *)
            echo "Usage: UserApps [ start | stop | restart ]"
            exit 1
            ;;
    esac
    exit
fi

# No command passed in, assume start
start
