#!/bin/sh
# @file
#
# @brief Script to start/stop sxdatalog
#
# Copyright 2014 Red Lion Controls, Inc.
# All Rights reserved.
#
#
log="/dev/null"
#log="/var/log/`basename $0`"

#
# This only stops the sixnet applications that are not
# started by init.
#
stop()
{
    echo "Stopping sxdatalog" >> $log
    #
    # Kill sxdatalog
    #
    monit stop sxdatalog
}

#
# Load the iodb/stbus driver and start all the Sixnet applications
# that are not started by init.
#
start()
{
    echo "Starting sxdatalog" >> $log

    # Delay starting sxdatalog for 5 seconds to allow the other
    # processes to finish initializing before logging data.

    sleep 5

    #
    # Start sxdatalog
    #
    monit start sxdatalog
}

#
# This only restarts the sixnet applications that
# are not started by init.
#
restart()
{
    stop
    start
}

#
# Check to see if a command was passed into the script.
#
if [ "$1" ]; then
    case "$1" in
        start)
            start
            ;;
        stop)
            stop
            ;;
        restart)
            restart
            ;;
        *)
            echo "Usage: sxdatalog [ start | stop | restart ]"
            exit 1
            ;;
    esac
    exit
fi

# No command passed in, assume start
start
