#!/bin/sh

export SHELL=/bin/sh

# /var/run is blown away on reboot, so make sure our directories exist
# when we start.
TEMPDIR=/var/run/sixnet_alarms/agents

stop() {
    monit -g sixnet_alarms stop
    echo Stopped event services
}
start() {
    if [ ! -d $TEMPDIR ]; then
        mkdir -p $TEMPDIR
    fi
    monit -g sixnet_alarms start
}

if [ "$1" ]; then
    case "$1" in
	start)
	    start
	    ;;
	stop)
	    stop
	    ;;
	restart)
            stop
	    start
	    ;;
        *)
            echo "Usage: $0 [ start | stop | restart ]"
            exit 1
            ;;
    esac;
    exit;
else 
    #  no command passed in, assume start
    start
fi



