#!/bin/sh
#
# If the users file exists, check if user "anonymous" can do
# filesystem commands.  If so, enable anonymous ftp.  Otherwise,
# disable it.

USERFILE=/etc/stacfg/users

# By default, anonymous ftp access is enabled.  Only if authentication
# is enabled, and anonymous does not have filesystem write access, do
# we deny access.
ANON_FTP=1

AUTH_ENABLED=`grep 'authentication required' /etc/stacfg/general.config | \
                sed -e 's/.*=//'`

if [ \( "$AUTH_ENABLED" = "1" \) -a -f $USERFILE ] ; then
    ANON_FTP=0
    if /usr/bin/checkperm /etc/stacfg/users anonymous UDR_FILESYS ; then
        ANON_FTP=1
    fi
fi
if [ $ANON_FTP = 1 ] ; then
    if grep -qe '^anonymous_enable=NO' /etc/vsftpd.conf ; then
        sed -e 's/^anonymous_enable=NO/anonymous_enable=YES/' \
            /etc/vsftpd.conf > /tmp/vsftpd.conf.tmp
        mv /etc/vsftpd.conf.tmp /etc/vsftpd.conf 
    fi
else
    if grep -qe '^anonymous_enable=YES' /etc/vsftpd.conf ; then
        sed -e 's/^anonymous_enable=YES/anonymous_enable=NO/' \
            /etc/vsftpd.conf > /tmp/vsftpd.conf.tmp
        mv /etc/vsftpd.conf.tmp /etc/vsftpd.conf 
    fi
fi
