#!/bin/sh
#
# Sppp.sh
# This script starts the appropriate PPP sessions

ports=`grep ports= /etc/stacfg/general.config`
if [ "$ports" != "" ] && [ "$ports" != "ports=" ]; then
  modprobe slhc
  modprobe ppp_generic
  modprobe ppp_synctty
  modprobe ppp_async
  modprobe ppp_deflate
  modprobe bsd_comp

  if [ -s "/etc/rc.firewall" ] ; then
    modprobe ipt_MASQUERADE
    iptables -A FORWARD -j ACCEPT
    iptables -t nat -A POSTROUTING -o eth0 -j MASQUERADE
  fi

  echo "1" > /proc/sys/net/ipv4/ip_forward

  if [ `echo $ports | grep ttyS0` ]; then
    ppp=`grep ppp= /etc/stacfg/portS0.config`
    if [ "$ppp" = "ppp=client,std" ]; then
      if [ -e "/etc/ppp/options.ttyS0" ] ; then
        mv /etc/ppp/options.ttyS0 /etc/ppp/o.ttyS0.bak
      fi
      echo "Starting Standard PPP Client on /dev/ttyS0"
      /etc/ppp/ppp.cli0
    elif [ "$ppp" = "ppp=client,null" ]; then
      if [ -e "/etc/ppp/options.ttyS0" ] ; then
        mv /etc/ppp/options.ttyS0 /etc/ppp/o.ttyS0.bak
      fi
      echo "Starting Null-Modem PPP Client on /dev/ttyS0"
      /etc/ppp/ppp.cli0
    elif [ "$ppp" = "ppp=server,null" ]; then
      echo "Starting Null-Modem PPP Server on /dev/ttyS0"
      /etc/ppp/ppp.srv0
    else
      echo "Starting Standard PPP Server on /dev/ttyS0"
    fi
  fi

  if [ `echo $ports | grep ttyS1` ]; then
    ppp=`grep ppp= /etc/stacfg/portS1.config`
    if [ "$ppp" = "ppp=client,std" ]; then
      if [ -e "/etc/ppp/options.ttyS1" ] ; then
        mv /etc/ppp/options.ttyS1 /etc/ppp/o.ttyS1.bak
      fi
      echo "Starting Standard PPP Client on /dev/ttyS1"
      /etc/ppp/ppp.cli1
    elif [ "$ppp" = "ppp=client,null" ]; then
      if [ -e "/etc/ppp/options.ttyS1" ] ; then
        mv /etc/ppp/options.ttyS1 /etc/ppp/o.ttyS1.bak
      fi
      echo "Starting Null-Modem PPP Client on /dev/ttyS1"
      /etc/ppp/ppp.cli1
    elif [ "$ppp" = "ppp=server,null" ]; then
      echo "Starting Null-Modem PPP Server on /dev/ttyS1"
      /etc/ppp/ppp.srv1
    else
      echo "Starting Standard PPP Server on /dev/ttyS1"
    fi
  fi

  if [ `echo $ports | grep ttyS2` ]; then
    ppp=`grep ppp= /etc/stacfg/portS2.config`
    if [ "$ppp" = "ppp=client,std" ]; then
      if [ -e "/etc/ppp/options.ttyS2" ] ; then
        mv /etc/ppp/options.ttyS2 /etc/ppp/o.ttyS2.bak
      fi
      echo "Starting Standard PPP Client on /dev/ttyS2"
      /etc/ppp/ppp.cli2
    elif [ "$ppp" = "ppp=client,null" ]; then
      if [ -e "/etc/ppp/options.ttyS2" ] ; then
        mv /etc/ppp/options.ttyS2 /etc/ppp/o.ttyS2.bak
      fi
      echo "Starting Null-Modem PPP Client on /dev/ttyS2"
      /etc/ppp/ppp.cli2
    elif [ "$ppp" = "ppp=server,null" ]; then
      echo "Starting Null-Modem PPP Server on /dev/ttyS2"
      /etc/ppp/ppp.srv2
    else
      echo "Starting Standard PPP Server on /dev/ttyS2"
    fi
  fi
fi
