#!/bin/sh
#
# If the users file exists, check if user "anonymous"
# can do filesystem commands.  If so, enable the root
# account with no password.

USERFILE=/etc/stacfg/users

# By default, anonymous access for ftp and root accounts
# are enabled.  Only if authentication is enabled, and
# anonymous does not have filesystem write access, do we deny 
# access.
ROOT_NOPW=1

AUTH_ENABLED=`grep 'authentication required' /etc/stacfg/general.config | \
                sed -e 's/.*=//'`

if [ \( "$AUTH_ENABLED" = "1" \) -a -f $USERFILE ] ; then
    ROOT_NOPW=0
    if /usr/bin/checkperm /etc/stacfg/users anonymous UDR_FILESYS ; then
        ROOT_NOPW=1
    fi
fi
if [ $ROOT_NOPW = 1 ] ; then
    if grep -qe '^root:!:' /etc/passwd ; then
        sed -e 's/^root:!:/root:x:/' /etc/passwd > /tmp/passwd.tmp
        mv /tmp/passwd.tmp /etc/passwd
# Set umask for new file creation to rw-r----- (0640)
        umask 0137
        sed -e 's/^root:!:/root::/' /etc/shadow > /tmp/shadow.tmp
        mv /tmp/shadow.tmp /etc/shadow
    fi
else
    if grep -qe '^root:x:' /etc/passwd ; then
        sed -e 's/^root:x:/root:!:/' /etc/passwd > /tmp/passwd.tmp
        mv /tmp/passwd.tmp /etc/passwd
# Set umask for new file creation to rw-r----- (0640)
        umask 0137
        sed -e 's/^root::/root:!:/' /etc/shadow > /tmp/shadow.tmp
        mv /tmp/shadow.tmp /etc/shadow
    fi
fi
