#!/usr/bin/perl
#
# Copyright 2012 SIXNET, LLC
#
#  Notice: This document contains proprietary, confidential information
#  owned by SIXNET, LLC and is protected as an unpublished work under
#  the Copyright Law of the United States. No part of this document may
#  be copied, disclosed to others or used for any purpose without the
#  written permission of Digitronics Inventioneering Corporation.
#


#
# Package with debugging functions
#

package Sixnet::SVM::Debug;

require warnings;
require strict;
require Exporter;

our @ISA = qw(Exporter);
our @EXPORT = qw(setDebug debugPrint);

my $debug = 0;

##
# Set or clear debug variable
#
# @param val - 0 to disable debugging, > 0 to enable debugging
#
sub setDebug($)
{
    my ($val) = @_;

    $debug = $val;
}

##
# print out debug message if enabled
#
# @param msg Message to be printed
#
sub debugPrint(@)
{
    if ($debug) {
        for (shift) {
            print("$_");
        }
    }
}

sub Init()
{
    return 1;
}

return Init();
